Summary: A library for handling of evs codec
Name: lib3gpp-evs
Version: 17.0.0
Release: 1%{?dist}
%undefine _disable_source_fetch
Source0: https://www.etsi.org/deliver/etsi_ts/126400_126499/126443/17.00.00_60/ts_126443v170000p0.zip
%define SHA256SUM0 1f7faaf22e77320d65bd295cd508e83bcf1056b86b5f7b7b685c46661e960c2d
%define SRC ts_126443v170000p0.zip
URL: https://www.etsi.org/deliver/etsi_ts/126400_126499/126443/17.00.00_60/ts_126443v170000p0.zip
License: ITU-T General Public License

%description
Encoder and decoder for evs codec. This is a reference implementation from www.etsi.org

#
#  Development subpackage
#
%package devel
Summary: Static libraries and header files for 3gpp evs development
Group: Development/Libraries
Provides: lib3gpp-evs-devel
Requires: lib3gpp-evs = %version

%description devel
The static libraries and header files needed for building evs codec in Asterisk


%prep
# Source0 gets fetched automatically to SOURCES directory and is now checked for sha256sum
echo "%SHA256SUM0  %SOURCE0" | sha256sum -c -
# Next step: unpack the fetched zip file (%SRC) to BUILD.
unzip -o %{_sourcedir}/%SRC
rm %{_builddir}/c-code/EVS_dec.exe
rm %{_builddir}/c-code/EVS_cod.exe
mv %{_builddir}/c-code %{name}-%{version}
%setup -T -D



%build
[ "%{buildroot}" != '/' ] && rm -rf %{buildroot}
BUG=0 RELEASE=1 CFLAGS='-DNDEBUG -fPIC' make -j 16
cd build
rm decoder.o
gcc -shared -o lib3gpp-evs.so *.o

%install
mkdir -p %{buildroot}%{_includedir}/3gpp-evs
%{__install} -D -m 755 build/lib3gpp-evs.so %{buildroot}%{_libdir}/lib3gpp-evs.so
%{__install} -D -m 644 lib_*/*.h %{buildroot}%{_includedir}/3gpp-evs/

%files
%{_libdir}/lib3gpp-evs.so

%files devel
%defattr(-, root, root)
%{_includedir}/3gpp-evs/*

%clean
rm -rf %{_builddir}/%{name}-%{version}
